# Uses of Class
java.rmi.server.UID

Packages that use UID
Package
Description
java.rmi.server
Provides classes and interfaces for supporting the server side of RMI.

## Uses of UID in java.rmi.server

Methods in java.rmi.server that return UID
Modifier and Type
Method
Description
`static UID`
UID.`read​(DataInput in)`
Constructs and returns a new `UID` instance by unmarshalling a binary representation from an `DataInput` instance.